Package org.bukkit.event.inventory

# Class SmithItemEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.inventory.InventoryEvent
org.bukkit.event.inventory.InventoryInteractEvent
org.bukkit.event.inventory.InventoryClickEvent
org.bukkit.event.inventory.SmithItemEvent

All Implemented Interfaces:
  `Cancellable`

public class SmithItemEvent extends InventoryClickEvent
Called when the recipe of an Item is completed inside a smithing table.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.inventory.InventoryEvent

`transaction`

## Constructor Summary

Constructors
Constructor
Description
`SmithItemEvent(@NotNull InventoryView view, InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
`SmithItemEvent(@NotNull InventoryView view, InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull SmithingInventory`
`getInventory()`
Gets the primary Inventory involved in this transaction

### Methods inherited from class org.bukkit.event.inventory.InventoryClickEvent

`getAction, getClick, getClickedInventory, getCurrentItem, getCursor, getHandlerList, getHandlers, getHotbarButton, getRawSlot, getSlot, getSlotType, isLeftClick, isRightClick, isShiftClick, setCurrentItem, setCursor`

### Methods inherited from class org.bukkit.event.inventory.InventoryInteractEvent

`getResult, getWhoClicked, isCancelled, setCancelled, setResult`

### Methods inherited from class org.bukkit.event.inventory.InventoryEvent

`getView, getViewers`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmithItemEvent

public SmithItemEvent(@NotNull @NotNull InventoryView view, @NotNull InventoryType.SlotType type, int slot, @NotNull @NotNull ClickType click, @NotNull @NotNull InventoryAction action)

### SmithItemEvent

public SmithItemEvent(@NotNull @NotNull InventoryView view, @NotNull InventoryType.SlotType type, int slot, @NotNull @NotNull ClickType click, @NotNull @NotNull InventoryAction action, int key)

## Method Details

### getInventory

@NotNull public @NotNull SmithingInventory getInventory()
Description copied from class: `InventoryEvent`
Gets the primary Inventory involved in this transaction

Overrides:
  `getInventory` in class `InventoryEvent`
Returns:
  The upper inventory.